# `pandoc-template-bootstrap-toc`

A single-file [pandoc][] HTML5 [template][] using [Bootstrap 4.3][] and
[Tocbot][].

Place [`bootstrap-toc.html`](bootstrap-toc.html) in the `templates` directory
(optionally in a subdirectory) in your pandoc [`--data-dir`][] (which defaults
to `$XDG_DATA_HOME/pandoc`, `$HOME/.local/share/pandoc` or `$HOME/.pandoc` on
Unix-like systems) and invoke pandoc with [`--template`][]`=bootstrap-toc.html`
( [`--template`][] implies [`--standalone`][]).

To make this the default HTML template, symlink (or rename)
`bootstrap-toc.html` to `$data_dir/default.html` (and
`$data_dir/default.html5`). To enable templating without explicitly specifying
one you need to use [`--standalone`][].

Options you probably want include [`--toc`][], and perhaps
[`--toc-depth`][]`=6`. Another nice option is [`--mathjax`][], which can take a
URL. The pandoc default is something like the TeX only

```
https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS_CHTML-full
```

to also have AsciiMath available (with `%%` delimiters) use instead something
like

```
https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-MML-AM_CHTML-full
```

[pandoc]: https://pandoc.org
[template]: https://pandoc.org/MANUAL.html#templates
[Bootstrap 4.3]: https://getbootstrap.com/docs/4.3
[Tocbot]: https://tscanlin.github.io/tocbot
[`--data-dir`]: https://pandoc.org/MANUAL.html#option--data-dir
[`--template`]: https://pandoc.org/MANUAL.html#option--template
[`--standalone`]: https://pandoc.org/MANUAL.html#option--standalone
[`--toc`]: https://pandoc.org/MANUAL.html#option--toc
[`--toc-depth`]: https://pandoc.org/MANUAL.html#option--toc-depth
[`--mathjax`]: https://pandoc.org/MANUAL.html#option--mathjax

## License

Licensed under the [ISC license][], see the [`LICENSE`](LICENSE) file.

[ISC license]: https://en.wikipedia.org/wiki/ISC_license
